
import Foundation
import XCPlayground
XCPSetExecutionShouldContinueIndefinitely(true)

var outputTime =
{
    () -> () in
    let date = NSDate()
    let formatter = NSDateFormatter()
    formatter.timeStyle = NSDateFormatterStyle.FullStyle
    var dateString = formatter.stringFromDate(date)
    print(dateString)
}

// Closure direkt ausführen
outputTime()

// Zwei Sekunden
let delay = Int64(2 * NSEC_PER_SEC)
// Jetzt + zwei Sekunden
let futureTime = dispatch_time(DISPATCH_TIME_NOW, delay)
// Eine Warteschlange vom GCD holen
let queue = dispatch_get_global_queue(DISPATCH_QUEUE_PRIORITY_BACKGROUND, 0)
// Closure zeitverzögert ausführen
dispatch_after(futureTime, queue , outputTime)


// Funktionsaufruf mit Inline-Closure
dispatch_after(futureTime, queue)
{
        let date = NSDate()
        let formatter = NSDateFormatter()
        formatter.timeStyle = NSDateFormatterStyle.FullStyle
        var dateString = formatter.stringFromDate(date)
        print(dateString)
}
