import Cocoa
import XCPlayground
XCPSetExecutionShouldContinueIndefinitely(true)

let url:NSURL? = NSURL(string: "http://www.cocoa-coding.de")
let request:NSURLRequest = NSURLRequest(URL: url!)

NSURLConnection.sendAsynchronousRequest(request, queue: NSOperationQueue.mainQueue())
{
    (response:NSURLResponse?, data:NSData?, error:NSError?) -> Void in
    
    if error == nil
    {
        var dataString = NSString(data: data!, encoding: UInt())
        print(dataString)
    }
    else
    {
        print("Fehler: \(error?.localizedDescription)")
    }
}



